import { PublicKey } from '@solana/web3.js';
import { ChainContext, toNative, } from '@wormhole-foundation/connect-sdk';
import { getAssociatedTokenAddress } from '@solana/spl-token';
import { SolanaPlatform } from './platform';
export class SolanaChain extends ChainContext {
    // @ts-ignore
    platform = SolanaPlatform;
    async getTokenAccount(token, address) {
        const tb = await this.getTokenBridge();
        const mintAddress = token === 'native'
            ? await tb.getWrappedNative()
            : token.toUniversalAddress();
        const mint = new PublicKey(mintAddress.toUint8Array());
        const owner = new PublicKey(address.toUint8Array());
        const ata = await getAssociatedTokenAddress(mint, owner);
        return toNative('Solana', ata.toString());
    }
}
//# sourceMappingURL=chain.js.map