import { Commitment, Connection } from '@solana/web3.js';
import { ChainName, WormholeMessageId, ChainsConfig, Network } from '@wormhole-foundation/connect-sdk';
import { SolanaChain } from './chain';
import { SolanaTokenBridge } from './protocols/tokenBridge';
import { SolanaUtils } from './platformUtils';
/**
 * @category Solana
 */
export declare module SolanaPlatform {
    const platform = "Solana";
    type Type = typeof platform;
    let network: Network;
    let conf: ChainsConfig;
    const nativeTokenId: typeof SolanaUtils.nativeTokenId, isNativeTokenId: typeof SolanaUtils.isNativeTokenId, isSupportedChain: typeof SolanaUtils.isSupportedChain, getDecimals: typeof SolanaUtils.getDecimals, getBalance: typeof SolanaUtils.getBalance, sendWait: typeof SolanaUtils.sendWait, getCurrentBlock: typeof SolanaUtils.getCurrentBlock, chainFromRpc: typeof SolanaUtils.chainFromRpc;
    function setConfig(network: Network, _conf?: ChainsConfig): typeof SolanaPlatform;
    function getRpc(chain: ChainName, commitment?: Commitment): Connection;
    function getChain(chain: ChainName): SolanaChain;
    function getTokenBridge(rpc: Connection): Promise<SolanaTokenBridge>;
    function parseTransaction(chain: ChainName, rpc: Connection, tx: string): Promise<WormholeMessageId[]>;
}
//# sourceMappingURL=platform.d.ts.map